Bug 234939 - Review Request: perl-Affix-Infix2Postfix - Perl extension for converting from infix notation to postfix notation
Review Request: perl-Affix-Infix2Postfix - Perl extension for converting from...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Package Reviews List
:
Depends On:
Blocks: 234934
  Show dependency treegraph
 
Reported: 2007-04-02 19:16 EDT by Steven Pritchard
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-18 19:58:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bjohnson: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2007-04-02 19:16:56 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Affix-Infix2Postfix/perl-Affix-Infix2Postfix.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Affix-Infix2Postfix-0.03-1.src.rpm
Description:
Infix2Postfix as the name suggests converts from infix to postfix notation.
The reason why someone would like to do this is that postfix notation is
generally much easier to do in computers. For example take an expression
like: a+b+c*d. For us humans it's pretty easy to do that calculation. But
it's actually much better for computers to get a string of operations such
as: a b + c d * +, where the variable names mean put variable on stack.
Comment 1 Bernard Johnson 2007-04-16 12:10:14 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Rpmlint output: None
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the  Packaging Guidelines.
 [x] Package is licensed with an open-source compatible license and meet other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is written in American English.
 [x] Spec file for the package is legible.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : 93cde6953a95a52a08cbfde1260c3436
     MD5SUM upstream package: 93cde6953a95a52a08cbfde1260c3436
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: Fedora / i386
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
     Why:
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package is not relocatable.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: FC-6 / i386
 [-] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.
 [-] Latest version is packaged.

=== Issues ===
1.

=== Final Notes ===
1.


================
*** APPROVED ***
================
Comment 2 Steven Pritchard 2007-05-01 14:21:39 EDT
New Package CVS Request
=======================
Package Name: perl-Affix-Infix2Postfix
Short Description: Perl extension for converting from infix notation to 
postfix notation
Owners: steve@silug.org
Branches: FC-5 FC-6 EL-4 EL-5
InitialCC: fedora-perl-devel-list@redhat.com
Comment 3 Josh Boyer 2007-05-03 22:25:33 EDT
Erm... I think someone forgot to set the cvsadmin flag to done on this.  If you
still need something from CVS, just set the flag again
Comment 4 Steven Pritchard 2007-05-18 19:58:02 EDT
Imported, builds requested, etc.

Thanks.
Comment 5 Steven Pritchard 2007-05-23 14:28:02 EDT
Package Change Request
======================
Package Name: perl-Affix-Infix2Postfix
New Branches: F-7

This is going to need a F-7 branch in order to avoid upgrade problems.
Comment 6 Jens Petersen 2007-05-27 00:02:16 EDT
branch added

Note You need to log in before you can comment on or make changes to this bug.